Accepting request 129593 from Base:System

- Add missing sys/resource include (glibc 2.16)

- fix path in busybox.install (bnc#680153)

- Add missing sys/resource include (glibc 2.16)

OBS-URL: https://build.opensuse.org/request/show/129593
OBS-URL: https://build.opensuse.org/package/show/openSUSE:Factory/busybox?expand=0&rev=33
This commit is contained in:
Stephan Kulow 2012-08-27 13:52:54 +00:00 committed by Git OBS Bridge
commit 15018dda38
6 changed files with 49 additions and 2 deletions

12
busybox-resource.patch Normal file
View File

@ -0,0 +1,12 @@
Index: busybox-1.19.4/include/libbb.h
===================================================================
--- busybox-1.19.4.orig/include/libbb.h
+++ busybox-1.19.4/include/libbb.h
@@ -35,6 +35,7 @@
#include <sys/poll.h>
#include <sys/ioctl.h>
#include <sys/mman.h>
+#include <sys/resource.h>
#include <sys/socket.h>
#include <sys/stat.h>
#include <sys/time.h>

View File

@ -1,3 +1,8 @@
-------------------------------------------------------------------
Wed Jul 18 07:44:02 UTC 2012 - aj@suse.de
- Add missing sys/resource include (glibc 2.16)
-------------------------------------------------------------------
Wed Jun 6 13:02:52 UTC 2012 - seife+obs@b1-systems.com

View File

@ -33,6 +33,7 @@ Patch99: busybox.uClibc-build-fix.patch
Patch100: busybox.install.patch
Patch101: busybox-1.18.3-libarchive.patch
Patch102: busybox-1.19.4-ext2fs_h.diff
Patch103: busybox-resource.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildRequires: uClibc-devel
@ -53,6 +54,7 @@ counterparts.
%patch100 -p1
%patch101 -p1
%patch102 -p1
%patch103 -p1
%{__cp} -a %{S:1} docs/
%{__cp} -a %{S:2} .config
find -name CVS | xargs rm -rf

View File

@ -1,3 +1,13 @@
-------------------------------------------------------------------
Wed Aug 1 14:15:40 UTC 2012 - lnussel@suse.de
- fix path in busybox.install (bnc#680153)
-------------------------------------------------------------------
Wed Jul 18 07:43:58 UTC 2012 - aj@suse.de
- Add missing sys/resource include (glibc 2.16)
-------------------------------------------------------------------
Wed Jun 6 13:02:52 UTC 2012 - seife+obs@b1-systems.com

View File

@ -1,6 +1,13 @@
--- busybox-1.19.4/applets/install.sh
Index: busybox-1.19.4/applets/install.sh
===================================================================
--- busybox-1.19.4.orig/applets/install.sh
+++ busybox-1.19.4/applets/install.sh
@@ -9,7 +9,7 @@
@@ -5,11 +5,11 @@ export LC_CTYPE=POSIX
prefix=$1
if [ -z "$prefix" ]; then
- echo "usage: applets/install.sh DESTINATION [--symlinks/--hardlinks/--scriptwrapper]"
+ echo "usage: busybox.install DESTINATION [--symlinks/--hardlinks/--scriptwrapper]"
exit 1
fi
@ -9,3 +16,12 @@
linkopts=""
scriptwrapper="n"
@@ -64,7 +64,7 @@ fi
rm -f "$prefix/bin/busybox" || exit 1
mkdir -p "$prefix/bin" || exit 1
-install -m 755 busybox "$prefix/bin/busybox" || exit 1
+install -m 755 /usr/bin/busybox "$prefix/bin/busybox" || exit 1
for i in $h; do
appdir=`dirname "$i"`

View File

@ -32,6 +32,7 @@ Source4: mkinitrd-boot.sh
Patch100: busybox.install.patch
Patch101: %{name}-1.18.3-libarchive.patch
Patch102: busybox-1.19.4-ext2fs_h.diff
Patch103: busybox-resource.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-build
%description
@ -50,6 +51,7 @@ counterparts.
%patch100 -p1
%patch101 -p1
%patch102 -p1
%patch103 -p1
%{__cp} -a %{S:1} docs/
%{__cp} -a %{S:2} .config
find -name CVS | xargs rm -rf